Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79775 - 8.1 Beta2 - DiskOnKey is not recognized on hot insert
Summary: 8.1 Beta2 - DiskOnKey is not recognized on hot insert
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-16 20:11 UTC by Larry Troan
Modified: 2016-04-18 09:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-05 16:31:08 UTC


Attachments (Terms of Use)
dmesg (deleted)
2003-01-09 14:30 UTC, Larry Troan
no flags Details
lspci (deleted)
2003-01-09 14:31 UTC, Larry Troan
no flags Details
lsusb (deleted)
2003-01-09 14:33 UTC, Larry Troan
no flags Details

Description Larry Troan 2002-12-16 20:11:52 UTC
Running 8.1beta2 on an upcoming nvidia chipset desktop system, the OS does not
recognize when a DiskOnKey has been inserted into the system.

Booting the system with the DiskOnKey in place will allow the system to
recognize and mount the device.

If the key is removed and then re-inserted into the same or another USB port,
the system can no longer recognize the device.
----------
Action by: ltroan
Believe this needs to be escalated to Bugzilla for Engineering to respond
directly. Will verify tomorrow.

ltroan assigned to issue for HP-ProLiant.
Category set to: Installer::Stage 2
Status set to: Waiting on Tech

Comment 1 Larry Troan 2002-12-16 20:13:11 UTC
Escalated to Engineering per their request.

Comment 2 Alan Cox 2002-12-16 20:18:44 UTC
Does the same disk on key device work on other random typical Linux PC systems.

Also need
Full dmesg including attach/remove/reattach
lspci -vxx
lsusb for each case

If its only happening on the Nvidia then we may be pushed to fix it due to
limited documentation.


Comment 3 Larry Troan 2002-12-16 20:22:15 UTC
Ths is Issue Tracker 12406. 

Comment 4 Larry Troan 2003-01-03 02:28:56 UTC
COMMENT FROM  ISSUE TRACKER per Marcg.Barber...
Have seen this same behavior on the next version of the intel desktop chipset as
well.



Comment 5 Larry Troan 2003-01-03 02:31:14 UTC
REPEATING ABOVE ENGINEERING REQUEST FOR ADDITIONAL INFORMATION FROM HP....
Per Alan Cox on 12/16/2002...........
Does the same disk on key device work on other random typical Linux PC systems.

Also need
Full dmesg including attach/remove/reattach
lspci -vxx
lsusb for each case

If its only happening on the Nvidia then we may be pushed to fix it due to
limited documentation.


Comment 6 Larry Troan 2003-01-09 14:30:29 UTC
Created attachment 89239 [details]
dmesg

Comment 7 Larry Troan 2003-01-09 14:31:28 UTC
Created attachment 89240 [details]
lspci

Comment 8 Larry Troan 2003-01-09 14:33:51 UTC
Created attachment 89241 [details]
lsusb

Comment 9 Larry Troan 2003-01-09 14:37:17 UTC
Input from Marcg.Barber at HP (Issue Tracker)...did not get picked up by Bugzilla.
-----
Due to NDA, I am not able to give the requested information from a unit using
the nVidia chipset.  I have been able to reproduce this on a unit using the
older Intel 845GL chipset, and will attach the information requested using this
machine as a reference.
----
3 attachments included above.




Comment 10 Arjan van de Ven 2003-01-10 10:03:09 UTC
/well since we can't test this; please try the rawhide kernel and check if USB
hotplug is fixed there..

Comment 11 Arjan van de Ven 2003-04-05 16:31:08 UTC
closing due to inactivity in needinfo


Note You need to log in before you can comment on or make changes to this bug.